﻿//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DatabaseProject
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class ScerpEntities : DbContext
    {
        public ScerpEntities()
            : base("name=ScerpEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public DbSet<distribution> distributions { get; set; }
        public DbSet<distributor> distributors { get; set; }
        public DbSet<location> locations { get; set; }
        public DbSet<manufacturer> manufacturers { get; set; }
        public DbSet<person_info> person_info { get; set; }
        public DbSet<person_type> person_type { get; set; }
        public DbSet<product_order> product_order { get; set; }
        public DbSet<product> products { get; set; }
        public DbSet<stock> stocks { get; set; }
        public DbSet<user_panel> user_panel { get; set; }
        public DbSet<warehouse> warehouses { get; set; }
    }
}
